DEBSNAP(1)

BEZEICHNUNG
debsnap - ruft alte Momentaufnahmen von Debian-Paketen ab

ÜBERSICHT
debsnap [Optionen] Paket [Version]

debsnap [-h | --help] [--version]

BESCHREIBUNG
debsnap ist ein Werkzeug, das hilft, Momentaufnahmen von alten Debian-Paketen aus einen täglichen Archivedepot abzurufen.

Das einzige öffentlich verfügbare Momentaufnahmenarchiv liegt derzeit auf https://snapshot.debian.org.

Standardmäßig wird Debsnap alle verfügbaren Versionen herunterladen, die für Paket im Momentaufnahmenarchiv gefunden werden. Falls eine Version angegeben wurde, wird nur diese bestimmte Version heruntergeladen, falls verfügbar.

OPTIONEN
Die folgenden Optionen sind verfügbar:

-d Bestimmungsort, --destdir Bestimmungsort
    Verzeichnis, in das abgefragte Pakete platziert werden sollen

-f, --force
    erzwingt das Schreiben an einen existierenden Bestimmungsort. Standardmäßig wird debsnap darauf beharren, dass das Zielverzeichnis noch nicht existiert, es sei denn, es wird explizit als ».« (das Arbeitsverzeichnis) angegeben. Dies dient der Vermeidung von versehentlichem Überschreiben von Dateien durch das, was vom Archiv abgeholt wird, und um allen anderen Skripten zu garantieren, dass nur die abgeholten Dateien nach Beendigung vorhanden sein werden.

-v, --verbose
    berichtet über die benutzte debsnap-Konfiguration und den Fortschritt während des Herunterladens. Benutzen Sie diese Option bitte immer, wenn Sie Fehler melden.

--list
    lädt nicht herunter, sondern listet nur die Versionen auf.

--binary
    lädt anstelle von Quellpaketen Binärpakete herunter.

-a, --architecture
    gibt die Architektur der heruntergeladenen Binärpakete an. Impliziert --binary. Dies kann mehrfach angegeben werden, um Binärpakete für mehrere Architekturen herunterzuladen.

--first
    gibt die minimale Version eines Pakets an, das heruntergeladen wird. Alle Versionen, die laut dpkg im Vergleich dazu größer sind, werden zum Herunterladen berücksichtigt. Dies kann zusammen mit --last benutzt werden.

--last
    gibt die maximale Version eines Pakets an, das heruntergeladen wird. Alle Paketversionen, die laut dpkg im Vergleich dazu kleiner sind, werden zum Herunterladen berücksichtigt. Dies kann zusammen mit --first benutzt werden.

-h, --help
    zeigt eine Zusammenfassung dieser Optionen.

--version
    zeigt die Version von debsnap.

KONFIGURATIONSOPTIONEN
debsnap kann auch mittels der folgenden Optionen in den Konfigurationsdateien der Devscripts konfiguriert werden.

DEBSNAP_VERBOSE
    entspricht der Befehlszeilenoption --verbose. Setzen Sie sie auf yes, um es zu aktivieren.

DEBSNAP_DESTDIR
    setzt einen Standardpfad für das Zielverzeichnis. Falls sie nicht gesetzt wird, wird ./source-<Paketname> verwendet. Die Befehlszeilenoption --destdir wird dies außer Kraft setzen.

DEBSNAP_BASE_URL
    die Basis-URL für das Momentaufnahmenarchiv

    Falls nicht gesetzt, ist die Vorgabe https://snapshot.debian.org.

EXIT-STATUS
debsnap wird einen Exit-Status von 0 zurückgeben, falls alle Transaktionen erfolgreich verliefen, 1, falls ein schwerwiegender Fehler auftrat und 2, falls das Herunterladen einiger Pakete fehlschlug, Transaktionen aber ansonsten wie erwartet erfolgreich verliefen. In einigen Fällen kann das Herunterladen einiger Pakete fehlschlagen, weil sie nicht mehr auf dem Momentaufnahmenspiegel verfügbar sind, daher sollte jeder Aufrufende erwarten, dass dies bei normaler Verwendung auftritt.

BEISPIELE

debsnap -a amd64 xterm 256-1
    lädt das Binärpaket einer bestimmten Xterm-Version für die Architektur Amd64 herunter.

debsnap -a armel xterm
    lädt Binärpakete aller Xterm-Versionen für die Architektur Armel herunter.

debsnap --binary xterm 256-1
    lädt Binärpakete einer bestimmten Xterm-Version für alle Architekturen herunter.

debsnap --binary xterm
    lädt Binärpakete aller Xterm-Versionen für alle Architekturen herunter.

debsnap -v --first 347-1 --last 348-2 xterm
    Download source packages for local architecture of xterm, between 347-1 and 348-2 revisions, inclusive, showing the progress when doing it.

aptitude search '~i' -F '%p %V' | while read pkg ver; do debsnap -a $(dpkg-architecture -qDEB_HOST_ARCH) -a all $pkg $ver; done
    lädt Binärpakete aller auf dem System installierten Pakete herunter.

DATEIEN

/etc/devscripts.conf
    globale Konfigurationsoptionen der Entwicklerskripte; werden hart kodierte Vorgaben außer Kraft setzen

~/.devscripts
    Konfigurationsoptionen pro Benutzer; werden jede globale Konfiguration ignorieren

SIEHE AUCH
devscripts(1), devscripts.conf(5), git-debimport(1)

AUTOREN
David Paleino <dapal@debian.org>

COPYRIGHT
Copyright © 2010 David Paleino

Das Recht, dieses Dokument zu kopieren, zu verteilen und/oder zu ändern, wird unter den Bedingungen der GNU General Public License, Version 3 oder (nach Ihrer Option) jeder späteren durch die Free Software Foundation veröffentlichten Version, gewährt.

Auf Debian-Systemen kann der vollständige Text der GNU General Public License in /usr/share/common-licenses/GPL gefunden werden.

FEHLER

  Fehler melden
Dieses Programm ist Teil des Pakets »devscripts«. Bitte melden Sie Fehler mittels »reportbug devscripts«.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.